### Signal

# Gtk EventControllerScroll::scroll

#### Declaration

    gboolean
    scroll (
      GtkEventControllerScroll self,
      gdouble dx,
      gdouble dy,
      gpointer user_data
    )

#### Description [src]

Signals that the widget should scroll by the amount specified by `dx` and `dy`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`dx` | `gdouble`
| X delta.
`dy` | `gdouble`
| Y delta.

#### Return value

Returns: | `gboolean`
| `TRUE` if the scroll event was handled, `FALSE` otherwise.